This version myPDMtools is compatible with the following versions of PDM :

  • 2015 SP4
  • 2016
  • 2017
  • 2018
  • 2019
  • 2020


The installation of this version requires the .NET Framework 4.5


Versions of SOLIDWORKS, supported by myPDMtools 2019, are the following ones:

  • SOLIDWORKS 2015
  • SOLIDWORKS 2016
  • SOLIDWORKS 2017
  • SOLIDWORKS 2018
  • SOLIDWORKS 2019
  • SOLIDWORKS 2020


For the use of export DWG in DocPublication, it is necessary to have:

  • that is to say Professional Drafsight starting from the version 2015 sp2
  • that is to say AutoCAD starting from the version 2014

For the use of export eDrawings in DocPublication starting from the version 2019


For the use of the tool PDMViewer, it is necessary to have the version eDrawings 2015 minimum.